%define	major 0
%define apiver 1.2
%define	libname %mklibname %{name} %{apiver} %{major}
%define develname %mklibname %{name} -d
%define version 1.2.12

Summary:	Simple DirectMedia Layer - mixer
Name:		SDL_mixer
Version:	%{version}
Release:	%mkrel 5
License:	LGPLv2+
Group:		System/Libraries
URL:		http://www.libsdl.org/projects/SDL_mixer/
Source0:	http://www.libsdl.org/projects/SDL_mixer/release/%{name}-%{version}.tar.xz
Patch1:         SDL_mixer-MikMod-1.patch
Patch2:         SDL_mixer-MikMod-2.patch
BuildRequires:	SDL-devel >= 1.2.10
BuildRequires:	libmikmod-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libz-devel
BuildRequires:	libflac-devel

%description
SDL_mixer is a sample multi-channel audio mixer library. It supports any
number of simultaneously playing channels of 16 bit stereo audio, plus a
single channel of music, mixed by the popular MikMod MOD, Timidity MIDI
and SMPEG MP3 libraries.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}SDL_mixer1.2
Provides:	%{_lib}SDL_mixer1.2 = %version-%release


%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	SDL-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}%{apiver}-devel = %{version}-%{release}
Obsoletes:	%{_lib}SDL_mixer1.2-devel
Provides:	%{_lib}SDL_mixer1.2-devel = %version-%release


%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%package -n %{name}-player
Summary:	Players using %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}SDL_mixer-test < 1.2.10
Requires:	%{libname} = %{version}-%{release}

%description -n %{name}-player
This package contains binary to test the associated library.

%prep
%setup -q
%patch1 -p1 
%patch2 -p1 

%build
%configure2_5x	--disable-static --enable-music-mod \
		--enable-music-native-midi \
		--disable-music-ogg-shared \
		--disable-music-flac-shared \
		--disable-music-mod-shared \
		--disable-music-mp3-shared
%make

iconv -f ISO-8859-1 -t UTF-8 CHANGES > CHANGES.tmp
touch -r CHANGES CHANGES.tmp
mv CHANGES.tmp CHANGES

%install
rm -rf %{buildroot}
%makeinstall_std install-bin

rm -f %buildroot%_libdir/*.la

%clean
rm -rf %{buildroot}

%files -n %{name}-player
%defattr(-, root, root)
%doc README
%{_bindir}/playwave
%{_bindir}/playmus

%files -n %{libname}
%defattr(-,root,root)
%doc timidity/FAQ timidity/README
%{_libdir}/lib*%{apiver}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc README CHANGES
%{_libdir}/lib*.so
%{_includedir}/SDL/*
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Wed Aug 20 2017 bb2 <bb2> - 1.2.12-5pclos2017
- rebuild for 2017

* Wed Aug 20 2014 bb <bb> 1.2.12-4pclos2014
- update
